class PlayingScreen implements MyScreen {
  private int playerX = 0;
  private int playerY = 0;
  
  public PlayingScreen() {
    playerX = width / 2;
    playerY = height / 2;
  }
   
  public void draw() {  
    background(#000000);
   
    noStroke();
    fill(#0000FF);
    circle(playerX, playerY, 25);  
  }
   
  public void keyPressed() {
    if (keyCode == UP || key == 'W') {
      move(0, -5);
    } else if (keyCode == DOWN || key == 'S') {
      move(0, 5);
    } else if (keyCode == LEFT || key == 'A') {
      move(-5, 0);
    } else if (keyCode == RIGHT || key == 'D') {
      move(5, 0);
    }
  }
   
  private void move(int dx, int dy) { 
    playerX += dx;
    playerY += dy;
    
    if (playerX < 0 || playerX > width || playerY < 0 || playerY > height) {
      endGame();
    }
  }
   
  private void endGame() {
    setScreen(new GameOverScreen());
  }
}
